
'   KILLDIR.VBS     delete any folder (or folder tree)      11-2015  ERCC
'
'                   usage: killdir "folder-name" [/quiet]
'

Dim Title, ErrMsg, Quiet, var, obj, fso

Title = "KILLDIR.VBS : Delete folder"
ErrMsg = vbOKOnly + vbCritical
Quiet = False

var = WScript.Arguments.Count
If var Then
    obj = CStr(WScript.Arguments(0))
Else
    MsgBox "Missing argument (folder name)!", ErrMsg, Title
    WScript.Quit
End If
If var = 2 Then
    var = CStr(WScript.Arguments(1))
    If LCase(var) = "/quiet" Then
        Quiet = True
    Else
        MsgBox "Incorrect 2nd argument!", ErrMsg, Title
        WScript.Quit
    End If
ElseIf var > 2 Then
    MsgBox "Wrong numer of arguments!", ErrMsg, Title
    WScript.Quit
End If

Set fso = CreateObject("Scripting.FileSystemObject")
If fso.FolderExists(obj) Then
    If Not Quiet Then
        var = MsgBox("Delete this folder and all its content?" & vbNewLine & obj & vbNewLine, _
                        vbYesNo + vbQuestion, Title)
        If var = vbNo Then WScript.Quit
    End If
    fso.DeleteFolder obj, vbTrue
Else
    If Not Quiet Then
        MsgBox "Folder " & obj & " not found!", ErrMsg, Title
        ' WScript.Quit
    End If
End If
WScript.Quit

